Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.MultiChannel (grizzly v7.4.2)

"MultiChannel" Command Class

The Multi Channel command class is used to address one or more End Points in a Multi Channel device.

# Summary

## Types

end_point()

## Functions

decode_generic_device_class(generic_device_class_byte) deprecated
decode_specific_device_class(generic_device_class, specific_device_class_byte) deprecated

# Types

Link to this type

# end_point()

View Source

    @type end_point() :: 1..127

# Functions

Link to this function

# decode_generic_device_class(generic_device_class_byte)

View Source
This function is deprecated. Use `Grizzly.ZWave.DeviceClasses.generic_device_class_from_byte/1` instead.

    @spec decode_generic_device_class(byte()) ::
      {:ok, Grizzly.ZWave.DeviceClasses.generic_device_class()}

Link to this function

# decode_specific_device_class(generic_device_class, specific_device_class_byte)

View Source
This function is deprecated. Use `Grizzly.ZWave.DeviceClasses.specific_device_class_from_byte/2` instead.

    @spec decode_specific_device_class(
      Grizzly.ZWave.DeviceClasses.generic_device_class(),
      byte()
    ) ::
      {:ok, Grizzly.ZWave.DeviceClasses.specific_device_class()}